# Uses of Interface
org.opensaml.soap.wssecurity.Password

Packages that use Password
Package
Description
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.

## Uses of Password in org.opensaml.soap.wssecurity.impl

Classes in org.opensaml.soap.wssecurity.impl that implement Password
Modifier and Type
Class
Description
`class`
`PasswordImpl`
PasswordImpl.
Methods in org.opensaml.soap.wssecurity.impl that return Password
Modifier and Type
Method
Description
`Password`
PasswordBuilder.`buildObject()`
Builds a WS-Security object of the given type.
`Password`
PasswordBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.